#ifndef __PrpObjFigureShadow_h
#define __PrpObjFigureShadow_h

// ProObjFigureShadow.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "CmbSColor.h"			// For CFCCmbSColor.
#include "ProObjFigureShadowSub.h"
#include "ProObjProperty.h"	// Superclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCProObjProperty

/////////////////////////////////////////////////////////////////////////////
// CFCProObjFigureShadow _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCProObjFigureShadow : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

	DECLARE_DYNCREATE(CFCProObjFigureShadow)

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCProObjFigureShadow();
	~CFCProObjFigureShadow();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCProObjFigureShadow)
	enum { IDD = IDD_PRO_FIGURE_SHADOW };
	CFCCmbSColor	m_cbbShadowSColor;
	//}}AFX_DATA

CFCPROOBJFIGURESHADOW

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCpAjAlGjAkMiClFiDeJiBfLiDgPiBfLiDiJiDeDiDgIiClFiCnMiClHiBeC_xHqqkZx_
	//{{AFX_VIRTUAL(CFCProObjFigureShadow)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:
	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCProObjFigureShadow)
	virtual BOOL OnInitDialog();
	afx_msg void OnFg2BtnShadowcol();
	afx_msg void OnFg2RdoUseShadow();
	afx_msg void OnFg2RdoNotUseShadow();
	afx_msg void OnFg2RdoUnknownUseShadow();
	afx_msg void OnDialogInitValue();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnFg2BtnUnuse();
	afx_msg void OnFg2BtnUnspecify();
	//}}AFX_MSG
	afx_msg void OnSelchangeFg2CbbShadowSColor();
	DECLARE_MESSAGE_MAP()

};

#endif//__PrpObjFigureShadow_h
